> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Custom Metadata Ingestion Status > Returns the status of a specified custom metadata ingestion ## OpenAPI ````json GET /api/v1/DataSteward/data-sources/{dataSourceId}/custom-metadata/{taskKey} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/DataSteward/data-sources/{dataSourceId}/custom-metadata/{taskKey}": { "get": { "tags": [ "Data Steward" ], "summary": "Get Custom Metadata Ingestion Status", "description": "Returns the status of a specified custom metadata ingestion", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "Id of the data source being refreshed", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "taskKey", "in": "path", "description": "Key of the custom ingestion being checked", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.CustomIngestProgress" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.CustomIngestProgress": { "title": "CustomIngestProgress", "type": "object", "properties": { "levels": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.CustomIngestLevelResult" } }, "importResult": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ImportResult" }, "finished": { "type": "boolean" }, "taskKey": { "type": "string", "nullable": true }, "exception": { "type": "string", "nullable": true }, "connectionCategory": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.CustomIngestLevelResult": { "title": "CustomIngestLevelResult", "type": "object", "properties": { "dateStarted": { "type": "string", "format": "date-time" }, "dateCompleted": { "type": "string", "format": "date-time", "nullable": true }, "status": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "objectType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "script": { "type": "string", "nullable": true }, "addedCount": { "type": "integer", "format": "int32" }, "modifiedCount": { "type": "integer", "format": "int32" }, "deletedCount": { "type": "integer", "format": "int32" }, "skippedCount": { "type": "integer", "format": "int32" }, "hasError": { "type": "boolean" }, "exceptionJson": { "type": "string", "nullable": true }, "exceptionMessage": { "type": "string", "nullable": true }, "resultErrors": { "title": "FileErrorList", "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.FileError" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ImportResult": { "title": "ImportResult", "type": "object", "properties": { "fileKey": { "type": "string", "nullable": true }, "filename": { "type": "string", "nullable": true }, "dataSourceId": { "type": "integer", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false }, "Configuration.Api.Models.v1.Common.FileError": { "title": "FileError", "type": "object", "properties": { "row": { "type": "integer", "format": "int32", "nullable": true }, "column": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````